Skip to main content
`Ctrl`+`K`

# TaoMonitorGradient

Views the gradient at each iteration of `TaoSolve()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorGradient(Tao tao, void *ctx)

Collective

## Input Parameters

- tao - the `Tao` context

- ctx - `PetscViewer` context or `NULL`

## Options Database Key

- -tao_monitor_gradient - view the gradient at each iteration

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorDefaultShort()`, `TaoMonitorSet()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages